> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure Webhook

> Set your webhook URL

## Configure Webhook

Sets or updates your webhook URL. Only one URL per account.

### Request body

<ParamField body="url" type="string" required>
  HTTPS webhook URL
</ParamField>

### Example

```bash theme={null}
curl -X POST https://api.tronrental.com/v1/webhooks/configure \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://yourserver.com/webhook/tronrental"}'
```

```json Response theme={null}
{
  "url": "https://yourserver.com/webhook/tronrental",
  "secret": "whsec_abc123...",
  "active": true,
  "created_at": "2026-03-05T12:00:00Z"
}
```

To remove webhook, send an empty URL or delete via dashboard.
